Delete an existing Alert Notification Rule

Cortex XSIAM Platform APIs

delete /platform/notifications/v1/rule/{rule_uuid}

Allows the user to delete an existing Alert Notification Rule by its unique identifier.

Path parameters
rule_uuid String required

Full rule uuid of the Alert Notification Rule

Example: 3053ad1f-0efc-305d-90dd-a305ab4153a4
CLIENT REQUEST
curl -X 'DELETE'
-H 'Accept: application/json'
'https://api-cortex.paloaltonetworks.com/platform/notifications/v1/rule/{rule_uuid}'
import http.client conn = http.client.HTTPSConnection("api-") conn.request("DELETE", "%7Bfqdn%7D/platform/notifications/v1/rule/3053ad1f-0efc-305d-90dd-a305ab4153a4") res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-/%7Bfqdn%7D/platform/notifications/v1/rule/3053ad1f-0efc-305d-90dd-a305ab4153a4") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Delete.new(url) response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("DELETE", "https://api-/%7Bfqdn%7D/platform/notifications/v1/rule/3053ad1f-0efc-305d-90dd-a305ab4153a4"); xhr.send(data);
HttpResponse<String> response = Unirest.delete("https://api-/%7Bfqdn%7D/platform/notifications/v1/rule/3053ad1f-0efc-305d-90dd-a305ab4153a4") .asString();
import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-/%7Bfqdn%7D/platform/notifications/v1/rule/3053ad1f-0efc-305d-90dd-a305ab4153a4")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-/%7Bfqdn%7D/platform/notifications/v1/rule/3053ad1f-0efc-305d-90dd-a305ab4153a4", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "DELETE", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "DELETE"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-/%7Bfqdn%7D/platform/notifications/v1/rule/3053ad1f-0efc-305d-90dd-a305ab4153a4"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-/%7Bfqdn%7D/platform/notifications/v1/rule/3053ad1f-0efc-305d-90dd-a305ab4153a4"); var request = new RestRequest(Method.DELETE); IRestResponse response = client.Execute(request);
Responses

Body
application/json
RESPONSE
null

Body
application/json
dataobject
err_msgstringrequired

Error message describing the issue

metadataobject
err_extrastringrequired

Additional error details

err_codeintegerrequired

HTTP error code

RESPONSE
{ "data": { "err_msg": "The request contains invalid or missing parameters.", "metadata": { "err_extra": "Alert notification rule id 305 was not found.", "err_code": 400 } } }

Body
application/json
RESPONSE
{ "reply": { "err_code": 401, "err_msg": "Public API request unauthorized", "err_extra": null } }

Body
application/json
replyobject
err_msgstring
err_extrastring
err_codeinteger
RESPONSE
{ "reply": { "err_code": 403, "err_msg": "Forbidden. Access was denied to this resource.", "err_extra": "Insufficient permissions for api key" } }